<div class="display-container collapsable collapsed">
    <div class="header communication-state warning-state format-source" instrument="{{ instrument|default('TSI 377x') }}"></div>

    {% include 'acquisition/display/header_buttons.html' %}

    {% include 'acquisition/display/nocommunication_content.html' %}

    <table class="content display-data communication-state hide-false">
        <tbody>
            <tr> <td>Concentration (cm⁻³)</td>              <td class="value-formatted" field="N" rightpad="2"></td> </tr>
            <tr> <td>Count rate (Hz)</td>                   <td class="value-formatted" field="C" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Sample pressure (hPa)</td>             <td class="value-formatted" field="P" rightpad="2"></td> </tr>
            <tr> <td>Nozzle pressure drop (hPa)</td>        <td class="value-formatted" field="PDnozzle" decimals="3"></td> </tr>
            <tr> <td>Orifice pressure drop (hPa)</td>       <td class="value-formatted" field="PDorifice" rightpad="2"></td> </tr>
            <tr> <td>Laser current (mA)</td>                <td class="value-formatted" field="Alaser" decimals="0" rightpad="4"></td> </tr>
            <tr> <td>Liquid level sensor</td>               <td class="value-formatted" field="liquid_level" decimals="0" rightpad="4"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Temperature</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Saturator (°C)</td>        <td class="value-formatted" field="Tsaturator" rightpad="2"></td> </tr>
            <tr> <td>Condenser (°C)</td>        <td class="value-formatted" field="Tcondenser" rightpad="2"></td> </tr>
            <tr> <td>Optics (°C)</td>           <td class="value-formatted" field="Toptics" rightpad="2"></td> </tr>
            <tr> <td>Cabinet (°C)</td>          <td class="value-formatted" field="Tcabinet" rightpad="2"></td> </tr>
        </tbody>
    </table>

    <table class="content display-data communication-state hide-false">
        <thead>
            <tr> <th colspan="2">Flow</th> </tr>
        </thead>
        <tbody>
            <tr> <td>Inlet (lpm)</td>           <td class="value-formatted" field="Qinlet" decimals="3"></td> </tr>
            <tr> <td>Sample (lpm)</td>          <td class="value-formatted" field="Q" decimals="3"></td> </tr>
            <tr> <td>Instrument (lpm)</td>      <td class="value-formatted" field="Qinstrument" decimals="3"></td> </tr>
        </tbody>
    </table>

    <div class="content display-data communication-state notification-state hide-false warning"
         notification="saturator_temperature_out_of_range">Saturator temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="condenser_temperature_out_of_range">Condenser temperature out of range</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="optics_temperature_error">Optics temperature error detected</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="inlet_flow_error">Inlet flow error detected</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="sample_flow_error">Sample flow error detected</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="laser_power_error">Laser power error detected</div>
    <div class="content display-data communication-state notification-state hide-false warning"
         notification="liquid_low">Low liquid level</div>

    <div class="content display-data communication-state notification-state hide-false"
         notification="concentration_out_of_range">Concentration out of range</div>
</div>

<style>
#{{uid}} .warning { color: #f80; }
</style>


<script>
(function() {
    const context = document.getElementById('{{uid}}').context;
    context.standardMode();
})();
</script>